Subject: Re: Feature request: readline's completion-prefix-display-length option
From: Bart Schaefer <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Wed, 1 Jun 2016 22:42:56 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On May 19,  9:14pm, Daniel Shahaf wrote:
} Subject: Re: Feature request: readline's completion-prefix-display-length 
}
} Deviously clever solutions aside, isn't this exactly what the -d option
} to compadd is for?  I imagine prior to calling compadd, the following
} preprocessing could be invoked:
} 
}     if -d not passed:
}       argument_to_-d = argument_to_-a
}       for each element of argument_to_-d:
}         if this element starts with ${PREFIX}
} 	  replace the first ${#PREFIX} characters with an ellipsis
} 
} However, I'm not sure where this preprocessing should be invoked from.

It'd have to be internal to complete.c:bin_compadd in order to be
foolproof; there are too many variations on how to pass in the list
matches to make it feasible to do in shell code: literal lists of
words, names passed to -a, subscripts on names passed to -a, etc.